Subject: RE: [ietf-provreg] 3730 <poll> Text Change Proposal

From: "Hollenbeck, Scott" <[email-masked]>
Date: Wed, 17 Aug 2005 07:22:59 -0400

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Edward Lewis
> Sent: Tuesday, August 16, 2005 4:02 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: [ietf-provreg] 3730 <poll> Text Change Proposal
> 
> At 14:04 -0400 8/16/05, Andrew Sullivan wrote:
> >On Mon, Aug 15, 2005 at 01:27:56PM -0400, Hollenbeck, Scott wrote:
> >>  NEW:
> >>  Service messages can be created for all clients affected 
> by an action on
> >>  an object that did not directly execute the action.  For  example,
> >>  <transfer> actions can be reported to the client that has 
> the authority
> >>  to approve or reject a transfer request.  Other methods 
> of server-client
> >>  action notification, such as offline reporting, are also 
> possible and
> >>  are beyond the scope of this specification.
> >
> >I like this, myself.  Do we want to make the "can"s in there SHOULDs
> >instead?  (I don't, really, but this is a pretty dramatic weakening
> >from the MUST we had before.  Looking at the archives, there seem to
> >have been some people arguing for a much more important poll queue.)
> 
> The change confuses me.  Instead of relaxing from MUST to SHOULD, the 
> change eliminates any "standards" words.

Ed, the primary reason I thought it best to ditch 2119 keywords is that
this part of the spec isn't describing an interoperability issue.  It's
describing an implementation issue.  I'm OK with a SHOULD if that makes
it more clear that the text is describing implementation guidance
instead of a protocol mandate, but I think a "can" works here, too.

-Scott-